---

AGGREGATE_PAGE_SIZE: 10
ANALYTICS_DATABASE: reports
API_AUTH_TOKEN: put-your-api-token-here
API_ROOT: null
BACKEND_SERVICE_EDX_OAUTH2_KEY: analytics_api-backend-service-key
BACKEND_SERVICE_EDX_OAUTH2_PROVIDER_URL: http://127.0.0.1:8000/oauth2
BACKEND_SERVICE_EDX_OAUTH2_SECRET: analytics_api-backend-service-secret
CACHES:
    default:
        BACKEND: django.core.cache.backends.memcached.MemcachedCache
        KEY_PREFIX: analytics_api
        LOCATION:
        - memcache
CSRF_COOKIE_SECURE: false
DATABASES:
    default:
        ENGINE: django.db.backends.mysql
        HOST: db.edx
        NAME: analytics-api
        PASSWORD: password
        PORT: '3306'
        USER: api001
    reports:
        ENGINE: django.db.backends.mysql
        HOST: db.edx
        NAME: reports
        PASSWORD: password
        PORT: '3306'
        USER: reports001
DATETIME_FORMAT: '%Y-%m-%dT%H%M%S'
DATE_FORMAT: '%Y-%m-%d'
DEFAULT_PAGE_SIZE: 25
EDX_DRF_EXTENSIONS:
    OAUTH2_USER_INFO_URL: http://127.0.0.1:8000/oauth2/user_info
ELASTICSEARCH_AWS_ACCESS_KEY_ID: null
ELASTICSEARCH_AWS_SECRET_ACCESS_KEY: null
ELASTICSEARCH_CONNECTION_CLASS: null
ELASTICSEARCH_CONNECTION_DEFAULT_REGION: us-east-1
ELASTICSEARCH_LEARNERS_HOST: edx.devstack.elasticsearch
ELASTICSEARCH_LEARNERS_INDEX: roster_1_2
ELASTICSEARCH_LEARNERS_UPDATE_INDEX: index_updates
EXTRA_APPS: []
JWT_AUTH:
    JWT_AUTH_COOKIE_HEADER_PAYLOAD: edx-jwt-cookie-header-payload
    JWT_AUTH_COOKIE_SIGNATURE: edx-jwt-cookie-signature
    JWT_ISSUERS:
    -   AUDIENCE: SET-ME-PLEASE
        ISSUER: http://127.0.0.1:8000/oauth2
        SECRET_KEY: SET-ME-PLEASE
    JWT_PUBLIC_SIGNING_JWK_SET: ''
LANGUAGE_CODE: en-us
LMS_BASE_URL: http://127.0.0.1:8000/
MAX_PAGE_SIZE: 100
MEDIA_STORAGE_BACKEND:
    DEFAULT_FILE_STORAGE: django.core.files.storage.FileSystemStorage
    MEDIA_ROOT: /edx/var/analytics_api/media
    MEDIA_URL: /media/
REPORT_DOWNLOAD_BACKEND:
    COURSE_REPORT_FILE_LOCATION_TEMPLATE: '{course_id}_{report_name}.csv'
    DEFAULT_FILE_STORAGE: django.core.files.storage.FileSystemStorage
    MEDIA_ROOT: /edx/var/analytics_api/static/reports
    MEDIA_URL: http://localhost:8100/static/reports/
SECRET_KEY: Your secret key here
SESSION_EXPIRE_AT_BROWSER_CLOSE: false
SOCIAL_AUTH_EDX_OAUTH2_ISSUER: http://127.0.0.1:8000
SOCIAL_AUTH_EDX_OAUTH2_KEY: analytics_api-sso-key
SOCIAL_AUTH_EDX_OAUTH2_LOGOUT_URL: http://127.0.0.1:8000/logout
SOCIAL_AUTH_EDX_OAUTH2_SECRET: analytics_api-sso-secret
SOCIAL_AUTH_EDX_OAUTH2_URL_ROOT: http://127.0.0.1:8000
SOCIAL_AUTH_REDIRECT_IS_HTTPS: false
STATICFILES_DIRS:
- static
STATICFILES_STORAGE: django.contrib.staticfiles.storage.StaticFilesStorage
STATIC_ROOT: /edx/var/analytics_api/staticfiles
TIME_ZONE: UTC
